Bug 587439 - Rebase rss2email to latest version in EPEL5
Rebase rss2email to latest version in EPEL5
Status: CLOSED EOL
Product: Fedora EPEL
Classification: Fedora
Component: rss2email (Show other bugs)
el5
All Linux
low Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis
Fedora Extras Quality Assurance
UpdatePackage
:
: 704907 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-29 18:10 EDT by Ray Van Dolson
Modified: 2018-04-11 09:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-06 06:27:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ray Van Dolson 2010-04-29 18:10:08 EDT
Would be nice to rebase rss2email to the latest release (2.66).  As this is a user application more than a programming library, I think it's of less concern to bump its version periodically -- even in EPEL.

Sounds like the newer version may require Python 2.4, so may not be appropriate for EPEL4 unless you want to patch the usage of the subprocess module.
Comment 1 Mark Chappell 2010-09-24 12:07:30 EDT
Thorsten, ping 

Any thoughts on the matter, as a pure leaf package this appears to have almost no detrimental user facing changes.  So updating in EPEL seems reasonable.

Note 2.67 is now available
Comment 2 Ray Van Dolson 2010-10-18 00:10:33 EDT
I will apply for comaintainership of this.
Comment 3 Ray Van Dolson 2010-10-18 00:14:10 EDT
Actually, looks like there already is a comaintainer.

pertusus, do you have time to bounce the rss2email version?
Comment 4 Michael Schwendt 2011-01-12 17:18:45 EST
Note that if you want to follow upstream's preferences, it may be useful to upgrade python-html2text, too. Currently in EPEL 5:

  python-html2text-2.26-2.el5.src.rpm
  python-feedparser-4.1-10.el5.src.rpm

rss2email includes copies of those two modules, but with higher versions because old ones in various dists are the cause of rss2email bug reports - I've been told today. rss2email's html2text is 2.37, feedparser is 4.2-pre (a development snapshot). Fedora 14's feedparser is also just 4.1, latest release from Apr 2007.
Comment 5 Patrice Dumas 2011-02-09 09:14:07 EST
Readin the Changelog, in 2.66 there were change in defaults, and then there are Compatibility changes in 2.67. Maybe rebasing to 2.65 would be safer?
Comment 6 Ray Van Dolson 2011-02-09 09:31:08 EST
My thoughts are that this is more of a user space app and doesn't really have an ABI that other programs are likely to rely on.

As such, I think it's not a big concern about some of the items you mentioned changing as long as there's an upgrade path...

(At least this is kind of how I've thought of the apps EPEL provides -- more conservative with anything providing an ABI to other programs).

Looks like 2.70 is already out (and I did like the OPML import/export feature in 2.68).  I'd be happy with any upgrade bump of course, even to 2.65. :)
Comment 7 Patrice Dumas 2011-02-09 09:40:41 EST
(In reply to comment #6)
> My thoughts are that this is more of a user space app and doesn't really have
> an ABI that other programs are likely to rely on.

Other programs, sure, but users? EPEL should follow the path of least surprise for users.

> (At least this is kind of how I've thought of the apps EPEL provides -- more
> conservative with anything providing an ABI to other programs).

Not only the ABI. It involves stability in general, like not changing the behaviour of the program, not needing to change the configuration and so on and so forth. If you can argue that the Changelog is misleading and that the upgrade won't require the user to change their configuration, I could consider bumping to more recent version, but in the mean time I prefer to stich to 2.65.

> Looks like 2.70 is already out (and I did like the OPML import/export feature
> in 2.68).  I'd be happy with any upgrade bump of course, even to 2.65. :)

You can apply to comaintainership and do the bump to 2.65. I cannot really tell when I'll have time myself.
Comment 8 Matěj Cepl 2011-02-13 05:34:40 EST
(In reply to comment #7)
> Not only the ABI. It involves stability in general, like not changing the
> behaviour of the program, not needing to change the configuration and so on
> and so forth. If you can argue that the Changelog is misleading and that the
> upgrade won't require the user to change their configuration, I could consider
> bumping to more recent version, but in the mean time I prefer to stich to 2.65.

Changelog mentions only these two changes which could affect users:

    * Deprecated QP_REQUIRED option as this is more than likely no longer
      needed and part of what triggered Python warnings
    * Default to HTML mail and CSS results 

Patrice, did I miss anything? If not, then I don't the former is a problem (it shouldn't be removed yet, just depreceated, right?). The latter could be, and we may have to comment it out.

On the plus side, it is not like there are no bugs in EPEL-5 version of rss2email (e.g., I have just filed bug 677095), so either we should rebase or backport the fixes from the later versions of rss2email.
Comment 9 Patrice Dumas 2011-04-01 04:50:45 EDT
(In reply to comment #8)

>     * Default to HTML mail and CSS results 
> 
> Patrice, did I miss anything? If not, then I don't the former is a problem (it
> shouldn't be removed yet, just depreceated, right?). The latter could be, and
> we may have to comment it out.

I agree on that, and it is the entry that made me think that an upgrade may break user expectations.

I have also seen (v2.67)

* Compatibility changes to support most recent development versions of feedparser
* Compatibility changes to support Google Reader feeds

> On the plus side, it is not like there are no bugs in EPEL-5 version of
> rss2email (e.g., I have just filed bug 677095), so either we should rebase or
> backport the fixes from the later versions of rss2email.

I am not sure that this particular bug is in rss2email, it could also be in html2text. I don't see it in the fixed things list in the CHANGELOG, although there is something similar in the v2.67 entry:
* Fixed From headers with HTML entities encoded twice



As a side note, it seems that the package is orphaned, so anybody could step and be the maintainer and do a choice on bumping the version that may not be aconservative as I think it should be.
Comment 10 Matěj Cepl 2011-04-02 14:09:02 EDT
(In reply to comment #9)
> I am not sure that this particular bug is in rss2email, it could also be in
> html2text.

Just on this particular note ... see bug 677095 comment 2
Comment 11 Matěj Cepl 2011-05-16 02:59:37 EDT
*** Bug 704907 has been marked as a duplicate of this bug. ***
Comment 12 Matěj Cepl 2016-07-28 07:24:17 EDT
OK, would anybody mind here rebase in EPEL-5 to the latest version in EPEL-6 or just closing this bug as WONTFIX? There is probably not a third option.
Comment 13 Fedora End Of Life 2017-04-06 06:27:18 EDT
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.